# PVideoControlInfo Class Reference

`#include <videoio.h>`

Inheritance diagram for PVideoControlInfo:

List of all members.

## Public Types

| ControlPan
| ControlTilt
| ControlZoom
enum | InputControlType { ControlPan, ControlTilt, ControlZoom }

## Static Public Member Functions

static PString | AsString (const InputControlType &type)

## Public Attributes

InputControlType | type
long | min
long | max
long | step
long | def
long | flags
long | current

## Member Enumeration Documentation

enum PVideoControlInfo::InputControlType

Enumerator:

  ControlPan |
  ControlTilt |
  ControlZoom |

## Member Function Documentation

static PString PVideoControlInfo::AsString | ( | const InputControlType & | type | ) | `[static]`

## Member Data Documentation

long PVideoControlInfo::current

long PVideoControlInfo::def

long PVideoControlInfo::flags

long PVideoControlInfo::max

long PVideoControlInfo::min

long PVideoControlInfo::step

InputControlType PVideoControlInfo::type

The documentation for this class was generated from the following file:

- videoio.h